/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>
#include <pic.h>
#include <__null.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#endif

#include <string.h>

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */


/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/


registers_t registers;
adc_t adc;

/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/

void main(void)
{
    
    
    ConfigureOscillator();
    InitApp();

    while(1)
    {
        update();
        CLRWDT();
    }

}



